import { EntityMetadata } from '@mikro-orm/core';
import { EntityParam, PrepareParams } from '@klerick/json-api-nestjs';
import { MicroOrmParam } from '../type';
export declare const getRelation: <E extends object>(entityMetadata: EntityMetadata<E>) => EntityParam<E>["relations"];
export declare const getProps: <E extends object>(entityMetadata: EntityMetadata<E>) => EntityParam<E>["props"];
export declare const getPropsType: <E extends object>(entityMetadata: EntityMetadata<E>, config?: PrepareParams<MicroOrmParam>["options"]["arrayType"]) => EntityParam<E>["propsType"];
export declare const getPropsNullable: <E extends object>(entityMetadata: EntityMetadata<E>) => EntityParam<E>["propsNullable"];
export declare const getPrimaryColumnName: <E extends object>(entityMetadata: EntityMetadata<E>) => EntityParam<E>["primaryColumnName"];
export declare const getPrimaryColumnType: <E extends object>(entityMetadata: EntityMetadata<E>) => EntityParam<E>["primaryColumnType"];
export declare const getRelationProperty: <E extends object>(entityMetadata: EntityMetadata<E>) => EntityParam<E>["relationProperty"];
export declare const getArrayType: <E extends object>(repository: EntityMetadata<E>, config?: PrepareParams<MicroOrmParam>["options"]["arrayType"]) => EntityParam<E>["propsArrayType"];
