"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteOne = deleteOne;
async function deleteOne(id) {
    const data = await this.microOrmUtilService
        .queryBuilder()
        .where({
        [this.microOrmUtilService.currentPrimaryColumn]: id,
    })
        .getSingleResult();
    if (!data)
        return void 0;
    await this.microOrmUtilService.entityManager.removeAndFlush(data);
    return void 0;
}
//# sourceMappingURL=delete-one.js.map